diff --git a/lang/cat.l b/lang/cat.l
index 24e973f23..d1c8b5194 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -707,7 +707,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	Unknown language number %d.  Type %R%s HELP SET LANGUAGE for a list of languages.
 NICK_SASET_LANGUAGE_CHANGED
-	Language changed to Catalan.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/lang/de.l b/lang/de.l
index 014232d59..0713c6727 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -721,7 +721,7 @@ NICK_SASET_LANGUAGE_UNKNOWN
 	Unbekannte Sprachen-Nummer %d. 
 	Tippe %R%s HELP SET LANGUAGE um eine Liste aller verfügbaren Sprachen zu erhalten.
 NICK_SASET_LANGUAGE_CHANGED
-	Sprache wurde geändert zu Deutsch.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/lang/en_us.l b/lang/en_us.l
index e046b9a0f..2adbb4a14 100644
--- a/lang/en_us.l
+++ b/lang/en_us.l
@@ -692,7 +692,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	Unknown language number %d.  Type %R%s HELP SET LANGUAGE for a list of languages.
 NICK_SASET_LANGUAGE_CHANGED
-	Language changed to English.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/lang/es.l b/lang/es.l
index 0a534d362..908d4ebb3 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -711,7 +711,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	Unknown language number %d.  Type %R%s HELP SET LANGUAGE for a list of languages.
 NICK_SASET_LANGUAGE_CHANGED
-	Language changed to Spanish.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/lang/fr.l b/lang/fr.l
index ef1d801c5..8f795ec5b 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -716,7 +716,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	Unknown language number %d.  Type %R%s HELP SET LANGUAGE for a list of languages.
 NICK_SASET_LANGUAGE_CHANGED
-	Language changed to French.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/lang/gr.l b/lang/gr.l
index 2ebc89f8a..e11031c66 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -705,7 +705,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	Unknown language number %d.  Type %R%s HELP SET LANGUAGE for a list of languages.
 NICK_SASET_LANGUAGE_CHANGED
-	Language changed to Greek.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/lang/hun.l b/lang/hun.l
index eef25d9a2..6f793c106 100644
--- a/lang/hun.l
+++ b/lang/hun.l
@@ -704,7 +704,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	Unknown language number %d.  Type %R%s HELP SET LANGUAGE for a list of languages.
 NICK_SASET_LANGUAGE_CHANGED
-	Language changed to Hungarian.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/lang/it.l b/lang/it.l
index 83f30800e..acd59be18 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -700,7 +700,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	Unknown language number %d.  Type %R%s HELP SET LANGUAGE for a list of languages.
 NICK_SASET_LANGUAGE_CHANGED
-	Language changed to Italian.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/lang/nl.l b/lang/nl.l
index 268143bcc..570ad90e2 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -716,7 +716,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	Unknown language number %d.  Type %R%s HELP SET LANGUAGE for a list of languages.
 NICK_SASET_LANGUAGE_CHANGED
-	Language changed to Dutch.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/lang/pl.l b/lang/pl.l
index cd7ad553a..14b2b6a3d 100644
--- a/lang/pl.l
+++ b/lang/pl.l
@@ -882,7 +882,7 @@ NICK_SASET_LANGUAGE_UNKNOWN
 	Napisz %R%s HELP SET LANGUAGE, aby uzyskaæ listê dostêpnych jêzyków.
 
 NICK_SASET_LANGUAGE_CHANGED
-	Jêzyk zosta³ zmieniony na Polski.
+	Language for %s changed to %s.
 
 # ACCESS responses
 NICK_ACCESS_SYNTAX
diff --git a/lang/pt.l b/lang/pt.l
index f86e1db8c..5580b9724 100644
--- a/lang/pt.l
+++ b/lang/pt.l
@@ -711,7 +711,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	Unknown language number %d.  Type %R%s HELP SET LANGUAGE for a list of languages.
 NICK_SASET_LANGUAGE_CHANGED
-	Language changed to Portuguese.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/lang/ru.l b/lang/ru.l
index 6389b2f0f..054b34920 100644
--- a/lang/ru.l
+++ b/lang/ru.l
@@ -694,7 +694,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	ßçûêà ïîä íîìåðîì %d íå ñóùåñòâóåò. Ñïèñîê äîñòóïíûõ ÿçûêîâ: %R%s HELP SET LANGUAGE.
 NICK_SASET_LANGUAGE_CHANGED
-	ßçûê äëÿ óêàçàííîãî íèêà èçìåíåí íà Ðóññêèé.
+	Language for %s changed to %s.
 
 # ACCESS responses
 NICK_ACCESS_SYNTAX
diff --git a/lang/tr.l b/lang/tr.l
index 56c730952..d5a824641 100644
--- a/lang/tr.l
+++ b/lang/tr.l
@@ -712,7 +712,7 @@ NICK_SASET_LANGUAGE_SYNTAX
 NICK_SASET_LANGUAGE_UNKNOWN
 	Bilinmeyen dil numarasý %d.  Lütfen %R%s HELP SET LANGUAGE komutu ile diller ve kodlarý hakkýnda bilgi alýnýz.
 NICK_SASET_LANGUAGE_CHANGED
-	Diliniz Türkçe olarak ayarlandý.
+	Language for %s changed to %s.
 
 
 # ACCESS responses
diff --git a/src/core/ns_saset.c b/src/core/ns_saset.c
index c1017cb21..ebf9720f3 100644
--- a/src/core/ns_saset.c
+++ b/src/core/ns_saset.c
@@ -525,7 +525,7 @@ int do_saset_language(User * u, NickCore * nc, char *param)
         return MOD_CONT;
     }
     nc->language = langlist[langnum];
-    notice_lang(s_NickServ, u, NICK_SASET_LANGUAGE_CHANGED);
+    notice_lang(s_NickServ, u, NICK_SASET_LANGUAGE_CHANGED, nc->display, getstring2(nc, LANG_NAME));
 
     return MOD_CONT;
 }
